org.apache.geode.cache.configuration

## Enum RegionAttributesDataPolicy

- java.lang.Object
- - java.lang.Enum<RegionAttributesDataPolicy>
  - - org.apache.geode.cache.configuration.RegionAttributesDataPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RegionAttributesDataPolicy>

      @Experimental
      public enum RegionAttributesDataPolicy
      extends java.lang.Enum<RegionAttributesDataPolicy>

  Java class for region-attributesData-policy.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="region-attributesData-policy">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="empty"/>
           <enumeration value="normal"/>
           <enumeration value="partition"/>
           <enumeration value="persistent-replicate"/>
           <enumeration value="preloaded"/>
           <enumeration value="replicate"/>
           <enumeration value="persistent-partition"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY`
    `NORMAL`
    `PARTITION`
    `PERSISTENT_PARTITION`
    `PERSISTENT_REPLICATE`
    `PRELOADED`
    `REPLICATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionAttributesDataPolicy` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static RegionAttributesDataPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RegionAttributesDataPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMPTY

          public static final RegionAttributesDataPolicy EMPTY

    - #### NORMAL

          public static final RegionAttributesDataPolicy NORMAL

    - #### PARTITION

          public static final RegionAttributesDataPolicy PARTITION

    - #### PERSISTENT_REPLICATE

          public static final RegionAttributesDataPolicy PERSISTENT_REPLICATE

    - #### PRELOADED

          public static final RegionAttributesDataPolicy PRELOADED

    - #### REPLICATE

          public static final RegionAttributesDataPolicy REPLICATE

    - #### PERSISTENT_PARTITION

          public static final RegionAttributesDataPolicy PERSISTENT_PARTITION

  - ### Method Detail

    - #### values

          public static RegionAttributesDataPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionAttributesDataPolicy c : RegionAttributesDataPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionAttributesDataPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static RegionAttributesDataPolicy fromValue(java.lang.String v)